#### D.15.3.6 chNum

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chNun(N, c); N integer, c list

Return:
  list

Purpose:
  computes the Chern numbers of a vector bundle with Chern classes c on a complex manifold (variety) of dimension N,
  the zeroes corresponding to the higher zero Chern classes are ignored

Note:
  computes basically the partitions of N
  in summands not greater than the length of c

Example:

    LIB "chern.lib";
    ring r = 0, (c(1..2)), dp;
    list l=c(1..2);
    // Let c(1) be a variable of degree 1, let c(2) be a variable of degree 2.
    // The monomials in c(1) and c(2) of weighted degree 5 are:
    print( chNum( 5, l ) );
    ==> [1]:
    ==>    c(1)^5
    ==> [2]:
    ==>    c(1)^3*c(2)
    ==> [3]:
    ==>    c(1)*c(2)^2
    // Compare the result to the output of chNumbers(...):
    print( chNumbers(5, l) );
    ==> [1]:
    ==>    c(1)^5
    ==> [2]:
    ==>    c(1)^3*c(2)
    ==> [3]:
    ==>    c(1)*c(2)^2
    ==> [4]:
    ==>    0
    ==> [5]:
    ==>    0
    ==> [6]:
    ==>    0
    ==> [7]:
    ==>    0

User manual for Singular version 4-0-3, 2016, generated by texi2html.